curl --location --request PUT 'https://api.stateset.com/v1/return' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'status': 'RCV'
'condition': 'B'
}'
mutation (
$return_id: String
$return_x: returns_set_input!
) {
update_returns (
where: { id : { _eq: $return_id }}
_set: $return_x
) {
returning {
id
order_id
description
issue
status
tracking_number
action_needed
customerEmail
rma
serial_number
scanned_serial_number
zendesk_number
enteredBy
order_date
shipped_date
requested_date
condition
reported_condition
created_date
amount
flat_rate_shipping
}
}
}`;
const returns = await stateset.returns.update({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.Return.modify(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns = Stateset::Return.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns, err := stateset.Returns.Update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
Return[] returns = stateset.returns.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
$returns = $stateset->returns->update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
);
{
"returns": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
},
]
}
Update Return
This endpoint updates an existing return.
PUT
/
v1
/
returns
/
curl --location --request PUT 'https://api.stateset.com/v1/return' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'status': 'RCV'
'condition': 'B'
}'
mutation (
$return_id: String
$return_x: returns_set_input!
) {
update_returns (
where: { id : { _eq: $return_id }}
_set: $return_x
) {
returning {
id
order_id
description
issue
status
tracking_number
action_needed
customerEmail
rma
serial_number
scanned_serial_number
zendesk_number
enteredBy
order_date
shipped_date
requested_date
condition
reported_condition
created_date
amount
flat_rate_shipping
}
}
}`;
const returns = await stateset.returns.update({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.Return.modify(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns = Stateset::Return.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns, err := stateset.Returns.Update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
Return[] returns = stateset.returns.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
$returns = $stateset->returns->update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
);
{
"returns": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
},
]
}
Body
The ID provided in the data tab may be used to identify the return
The return object
Response
The ID of the return
The ID of the order
The description of the return
The issue of the return
The status of the return
The tracking number of the return
The action needed of the return
The customer email of the return
The RMA of the return
The serial number of the return
The scanned serial number of the return
The zendesk number of the return
The entered by of the return
The order date of the return
The shipped date of the return
The requested date of the return
The condition of the return
The reported condition of the return
The created date of the return
The amount of the return
The flat rate shipping of the return
curl --location --request PUT 'https://api.stateset.com/v1/return' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'status': 'RCV'
'condition': 'B'
}'
mutation (
$return_id: String
$return_x: returns_set_input!
) {
update_returns (
where: { id : { _eq: $return_id }}
_set: $return_x
) {
returning {
id
order_id
description
issue
status
tracking_number
action_needed
customerEmail
rma
serial_number
scanned_serial_number
zendesk_number
enteredBy
order_date
shipped_date
requested_date
condition
reported_condition
created_date
amount
flat_rate_shipping
}
}
}`;
const returns = await stateset.returns.update({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
returns = stateset.Return.modify(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns = Stateset::Return.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
returns, err := stateset.Returns.Update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
Return[] returns = stateset.returns.update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
)
$returns = $stateset->returns->update(
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
);
{
"returns": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
},
]
}
⌘I